Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplRepoC.h File Reference

`#include "ace/pre.h"`
`#include "tao/corbafwd.h"`
`#include "tao/CDR.h"`
`#include "tao/Any.h"`
`#include "tao/Object.h"`
`#include "tao/ClientRequestInfo.h"`
`#include "tao/Remote_Object_Proxy_Impl.h"`
`#include "tao/Managed_Types.h"`
`#include "tao/Sequence.h"`
`#include "portableserver_export.h"`
`#include "ace/post.h"`

Include dependency graph for ImplRepoC.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | TAO_EXPORT_MACRO TAO_PortableServer_Export
#define | _IMPLEMENTATIONREPOSITORY_SERVEROBJECT___PTR_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVEROBJECT___VAR_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVEROBJECT___OUT_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVEROBJECT_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CH_
#define | _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CH_
#define | _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST___VAR_CH_
#define | _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST___OUT_CH_
#define | __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST___VAR_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST___OUT_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR___PTR_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR___VAR_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR___OUT_CH_
#define | _IMPLEMENTATIONREPOSITORY_ADMINISTRATION___PTR_CH_
#define | _IMPLEMENTATIONREPOSITORY_ADMINISTRATION___VAR_CH_
#define | _IMPLEMENTATIONREPOSITORY_ADMINISTRATION___OUT_CH_
#define | _IMPLEMENTATIONREPOSITORY_ADMINISTRATION_CH_
#define | _IMPLEMENTATIONREPOSITORY_ADMINISTRATION_ALREADYREGISTERED_CH_
#define | _IMPLEMENTATIONREPOSITORY_ADMINISTRATION_CANNOTACTIVATE_CH_
#define | _IMPLEMENTATIONREPOSITORY_ADMINISTRATION_NOTFOUND_CH_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR_CH_
## Functions
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, ImplementationRepository::ServerObject_ptr)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, ImplementationRepository::ServerObject *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, ImplementationRepository::Administration *&)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, ImplementationRepository::ServerInformationIterator *&)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::EnvironmentVariable &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::EnvironmentVariable &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::ActivationMode &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::ActivationMode &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::StartupOptions &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::StartupOptions &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::ServerInformation &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::ServerInformation &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::Administration::AlreadyRegistered &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::Administration::AlreadyRegistered &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::Administration::CannotActivate &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::Administration::CannotActivate &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::Administration::NotFound &)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::Administration::NotFound &)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_PortableServer_Export

#define _IMPLEMENTATIONREPOSITORY_ADMINISTRATION_ALREADYREGISTERED_CH_

#define _IMPLEMENTATIONREPOSITORY_ADMINISTRATION_CANNOTACTIVATE_CH_

#define _IMPLEMENTATIONREPOSITORY_ADMINISTRATION_CH_

#define _IMPLEMENTATIONREPOSITORY_ADMINISTRATION_NOTFOUND_CH_

#define _IMPLEMENTATIONREPOSITORY_ADMINISTRATION___OUT_CH_

#define _IMPLEMENTATIONREPOSITORY_ADMINISTRATION___PTR_CH_

#define _IMPLEMENTATIONREPOSITORY_ADMINISTRATION___VAR_CH_

#define _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CH_

#define _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST___OUT_CH_

#define _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST___VAR_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR___OUT_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR___PTR_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR___VAR_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST___OUT_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST___VAR_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVEROBJECT_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVEROBJECT___OUT_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVEROBJECT___PTR_CH_

#define _IMPLEMENTATIONREPOSITORY_SERVEROBJECT___VAR_CH_

#define __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CH_

#define __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CH_

## Function Documentation

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const ImplementationRepository::Administration::NotFound & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const ImplementationRepository::Administration::CannotActivate & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const ImplementationRepository::Administration::AlreadyRegistered & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const ImplementationRepository::ServerInformation & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const ImplementationRepository::StartupOptions & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const ImplementationRepository::ActivationMode & _tao_enumval )

ACE_INLINE CORBA::Boolean operator<< ( | TAO_OutputCDR & strm,
| const ImplementationRepository::EnvironmentVariable & _tao_aggregate )

TAO_PortableServer_Export void operator<<= ( | CORBA::Any &,
| ImplementationRepository::ServerObject_ptr )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR &,
| ImplementationRepository::Administration::NotFound & )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| ImplementationRepository::Administration::CannotActivate & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR &,
| ImplementationRepository::Administration::AlreadyRegistered & )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| ImplementationRepository::ServerInformation & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| ImplementationRepository::StartupOptions & _tao_aggregate )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| ImplementationRepository::ActivationMode & _tao_enumval )

ACE_INLINE CORBA::Boolean operator>> ( | TAO_InputCDR & strm,
| ImplementationRepository::EnvironmentVariable & _tao_aggregate )

TAO_PortableServer_Export CORBA::Boolean operator>>= ( | const CORBA::Any &,
| ImplementationRepository::ServerInformationIterator *& )

TAO_PortableServer_Export CORBA::Boolean operator>>= ( | const CORBA::Any &,
| ImplementationRepository::Administration *& )

TAO_PortableServer_Export CORBA::Boolean operator>>= ( | const CORBA::Any &,
| ImplementationRepository::ServerObject *& )